package io.github.beradq.adybubbles

class Bubbles(val items: MutableList<String>, val mode: ChatPopupMode = ChatPopupMode.LOOP) {
    val state = BubbleState(0)

    operator fun get(index: Int): String {
        return items[index]
    }

    class BubbleState(
            var index: Int,
    )

    fun next(): String? {
        if (items.isEmpty()) return null
        val item = items[state.index]
        state.index++
        if (state.index >= items.size) {
            state.index = 0
        }
        return item
    }

    fun random(): String {
        return items.random()
    }
}
